{
  "name": "@odit/lfk-backend",
  "version": "0.0.7",
  "main": "src/app.ts",
  "repository": "https://git.odit.services/lfk/backend",
  "author": {
    "name": "ODIT.Services",
    "email": "info@odit.services",
    "url": "https://odit.services"
  },
  "contributors": [
    {
      "name": "Philipp Dormann",
      "email": "philipp@philippdormann.de",
      "url": "https://philippdormann.de"
    },
    {
      "name": "Nicolai Ort",
      "email": "info@nicolai-ort.com",
      "url": "https://nicolai-ort.com"
    }
  ],
  "license": "CC-BY-NC-SA-4.0",
  "dependencies": {
    "argon2": "^0.27.0",
    "body-parser": "^1.19.0",
    "class-transformer": "^0.3.1",
    "class-validator": "^0.12.2",
    "class-validator-jsonschema": "^2.0.3",
    "consola": "^2.15.0",
    "cookie": "^0.4.1",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "csvtojson": "^2.0.10",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "jsonwebtoken": "^8.5.1",
    "mysql": "^2.18.1",
    "pg": "^8.5.1",
    "reflect-metadata": "^0.1.13",
    "routing-controllers": "^0.9.0-alpha.6",
    "routing-controllers-openapi": "^2.1.0",
    "sqlite3": "^5.0.0",
    "typeorm": "^0.2.29",
    "typeorm-routing-controllers-extensions": "^0.2.0",
    "typeorm-seeding": "^1.6.1",
    "uuid": "^8.3.1",
    "validator": "^13.5.2"
  },
  "devDependencies": {
    "@odit/license-exporter": "^0.0.8",
    "@types/cors": "^2.8.8",
    "@types/csvtojson": "^1.1.5",
    "@types/express": "^4.17.9",
    "@types/jest": "^26.0.16",
    "@types/jsonwebtoken": "^8.5.0",
    "@types/node": "^14.14.9",
    "@types/uuid": "^8.3.0",
    "axios": "^0.21.0",
    "cp-cli": "^2.0.0",
    "jest": "^26.6.3",
    "nodemon": "^2.0.6",
    "rimraf": "^2.7.1",
    "start-server-and-test": "^1.11.6",
    "ts-jest": "^26.4.4",
    "ts-node": "^9.0.0",
    "typedoc": "^0.19.2",
    "typescript": "^4.1.2"
  },
  "scripts": {
    "dev": "nodemon src/app.ts",
    "build": "rimraf ./dist && tsc && cp-cli ./src/static ./dist/static",
    "docs": "typedoc --out docs src",
    "test": "jest",
    "test:watch": "jest --watchAll",
    "test:ci": "start-server-and-test dev http://localhost:4010/api/docs/openapi.json test",
    "seed": "ts-node ./node_modules/typeorm/cli.js schema:sync && ts-node ./node_modules/typeorm-seeding/dist/cli.js seed",
    "openapi:export": "ts-node scripts/openapi_export.ts",
    "licenses:export": "license-exporter --md"
  },
  "nodemonConfig": {
    "ignore": [
      "src/tests/*",
      "docs/*"
    ]
  }
}